%define name gmixer
%define version 1.3
%define release %mkrel 6

Summary:	GMixer, a simple gtk/gstreamer audio mixer
Summary(de):    GMixer, ein einfacher GTK/GStreamer Audio Mixer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
URL:		https://launchpad.net/gmixer/
License:	GPL
Source0:	http://launchpad.net/gmixer/1.x/1.3/+download/%{name}-%{version}.tar.xz
Patch:          gmixer-1.3-setup-py.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:       noarch
BuildRequires:	pygtk2.0-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
Requires:	python => 2.7
Requires:	gstreamer0.10-python
Requires:	python-xlib
Requires:	pygtk2.0-libglade
Obsoletes:  	%name < %version
Requires:	gstreamer0.10-plugins-base

%description
GMixer, a simple gtk/gstreamer audio mixer, armed to work with light desktop manager.

Features:
 - support all mixer plugins of gstreamer (alsa/oss/pulseaudio/...)
 - tray icon support
 - support special keys of multimedia keyboard.
 
#german
%description -l de
GMixer, ist ein einfaches GTK/GStreamer Audio-Mixer, 
der mit leichten Desktop-Manager zusammen arbeitet.

Features:
  - Unterstützt alle Mixer-Plugins von gstreamer 
    (alsa / oss / pulseaudio /...)
  - Tray-Icon-Unterstützung
  - Unterstützt Sondertasten von Multimedia-Tastaturen.

%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} 	--skip-build

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/mixer.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=GMixer
Comment=GMixer, a simple gtk/gstreamer audio mixer
Comment[de]=GMixer ein einfacher GTK/GStreamer Audio Mixer
Categories=GNOME;GTK;AudioVideo;Settings;HardwareSettings;X-MandrivaLinux-Multimedia-Sound;
Exec=%{name}
Icon=%{name}
EOF



%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun 
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root)
/*

%changelog
* Sat Aug 17 2013 billybot <billybot> 1.3-6pclos2013
- update python 2.7

* Thu Jul 14 2011 Texstar <texstar at gmail.com> 1.3-5pclos2011
- add dependency on gstreamer0.10-plugins-base

* Sun May 01 2011 leiche <meisssw01 at aol.com> 1.3-4leiche2011
- add german synaptic description
- add german comment in desktop file

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.3-3pclos2010
- rebuild

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 1.3-2pclos2010
- rebuild and remove obsoleted dependencies

* Tue May 28 2009 slick50 <lxgator@gmail.com> 1.3-1pclos2009
- initial pkg
